package cmsc351f18;

import java.util.Scanner;
/**
 * Sample Main for you to test your class(es)
 * You don't need to submit this file
 */
public class Main {

	public static void main(String[] args) {
		// Create a scanner from stdin
		Scanner scanner = new Scanner(System.in);
		// First value is the total number of positive integers
		int totalSize = scanner.nextInt();
		// Create a MartianOracle
		MartianOracle oracle = new MartianOracle(totalSize);
		while(scanner.hasNext()) {
			// Read next value
			int value = scanner.nextInt();
			if(value == 0) {
				// Query
				System.out.println(oracle.query());
			}
			else {
				// Process
				oracle.process(value);
			}
		}
		scanner.close();
	}

}
